What’s New in Redpanda
This topic includes new content added in version 25.2. For a complete list of all product updates, see the Redpanda release notes. See also:
Iceberg topics with AWS Glue
A new integration with AWS Glue Data Catalog allows you to add Redpanda topics as Iceberg tables in your data lakehouse. The AWS Glue catalog integration is available in Redpanda version 25.1.7 and later.
See Integrate with REST Catalogs for supported Iceberg REST catalog integrations.
JSON Schema support for Iceberg topics
Redpanda now supports JSON Schema for Iceberg topics. This allows you to use all supported schema types (Protobuf, Avro, and JSON Schema) for Iceberg topics. For more information, see Specify Iceberg Schema.
Manage SASL users with Kafka APIs
Redpanda now supports the following Kafka APIs for managing SASL user credentials as described in KIP-554:
-
DescribeUserSCRAMCredentialsRequest (requires Cluster Describe ACLs)
-
AlterUserSCRAMCredentialsRequest (requires Cluster Modify ACLs)
See also: Configure Authentication and Configure Access Control Lists
Schema Registry Authorization
You can now use the Enterprise-licensed feature Schema Registry Authorization to control access to Schema Registry subjects and operations using either rpk or the Redpanda Schema Registry API endpoints. Schema Registry Authorization offers more granular control over who can do what with your Redpanda Schema Registry resources. ACLs used for Schema Registry access also support RBAC roles.
Retrieve serialized Protobuf schemas with Schema Registry API
Starting in version 25.2, the Schema Registry API supports retrieving serialized schemas (Protobuf only) using the format=serialized query parameter for the following endpoints:
-
GET /schemas/ids/{id} -
POST /subjects/{subject} -
GET subjects/{subject}/versions/{version} -
GET subjects/{subject}/versions/{version}/schema
This helps facilitate migration of Protobuf clients to Redpanda. See the Schema Registry API reference for details.
Support for confluent-kafka-javascript client
The confluent-kafka-javascript client is now validated with Redpanda. For a list of validated clients, see Kafka Compatibility.
HTTP Proxy authentication changes
Breaking change in Redpanda 25.2: Ephemeral credentials for HTTP Proxy are removed. If your HTTP Proxy API listeners use authentication_method: none, you must configure explicit SASL credentials (scram_username, scram_password, and sasl_mechanism) for HTTP Proxy to authenticate with the Kafka API.
|
This allows any HTTP API user to access Kafka using shared credentials. Redpanda Data recommends enabling HTTP Proxy authentication instead. |
For configuration instructions, see Configure HTTP Proxy to connect to Redpanda with SASL.
If you need to maintain the current HTTP Proxy functionality while transitioning to authenticated clients, configure the following HTTP Proxy client properties in your redpanda.yaml configuration:
-
scram_username: Username for SASL/SCRAM authentication -
scram_password: Password for SASL/SCRAM authentication -
sasl_mechanism: SASL mechanism (typicallySCRAM-SHA-256orSCRAM-SHA-512)